%define name		easyrpmbuilder
%define origname 	Easy RPM Builder
%define	version		0.5.4
%define	release		%mkrel 1

Name:		%{name}
Summary:	A tool for developers who want to make there application available as RPM packages.
Summary(de):	Ein Werkzeug für Entwickler die Anwendung als RPM-Pakete erstellen wollen.
Version:	%{version} 
Release:	%{release} 
Source0:	%{name}-%{version}.tgz
URL:		http://kde-apps.org/content/show.php/Easy+RPM+Builder?content=114271
Group:		System/Configuration/Packaging
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	qt4-devel >= 4.3.2
Requires:	rpm-build task-qt4
Obsoletes:	easyrpm 
Provides:	%{name}
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:  	%name < %version

%description
A tool for developers who want to make there application available as RPM packages. 
rpm-build has to be installed and you should have a good idea how rpm-build works.
The templates will give you some help how to build your own rpm package for your application.

This is not the same name Prjekt of http://easyrpm.sourceforge.net

%description -l de
Ein Werkzeug für Entwickler die Anwendung als RPM-Pakete erstellen wollen.
Das Paket rpm-build muss installiert sein und Sie sollten sich damit auch auskennen wie rpm-build funktioniert. 
Die Vorlagen werden Ihnen eine Hilfe sein wie Sie Ihre eigenen RPM-Paket für Ihre Anwendung erstellen können.

Es handelt sich hierbei nicht um das gleichnamige Prjekt von http://easyrpm.sourceforge.net

%prep
%setup -q -n %name-%version

%build

PATH=/usr/lib/qt4/bin:$PATH qmake 
CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" %make
lrelease %{name}.pro

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/qt4/translations/
mkdir -p %{buildroot}%{_datadir}/%{name}/translations/
mkdir -p %{buildroot}%{_datadir}/doc/packages/%{name}/RPM-HOWTO/

cp bin/%{name} %{buildroot}%{_datadir}/%{name}/
cp src/icons/rpm.* %{buildroot}%{_datadir}/%{name}/
cp -r doc/RPM-HOWTO/* %{buildroot}%{_datadir}/doc/packages/%{name}/RPM-HOWTO
cp -r src/templates/*.tpl %{buildroot}%{_datadir}/%{name}/
cp -r src/groups/*.grp %{buildroot}%{_datadir}/%{name}/

cp src/translations/german.qm %{buildroot}%{_datadir}/%{name}/translations/%{name}_de_DE.qm
cp src/translations/english.qm %{buildroot}%{_datadir}/%{name}/translations/%{name}_en_GB.qm
cp src/translations/spanish.qm %{buildroot}%{_datadir}/%{name}/translations/%{name}_es_ES.qm
cp src/translations/brazilian.qm %{buildroot}%{_datadir}/%{name}/translations/%{name}_br_BR.qm

ln -s %{_datadir}/%{name}/translations/%{name}_de_DE.qm %{buildroot}%{_datadir}/qt4/translations/%{name}_de_DE.qm
ln -s %{_datadir}/%{name}/translations/%{name}_en_GB.qm %{buildroot}%{_datadir}/qt4/translations/%{name}_en_GB.qm
ln -s %{_datadir}/%{name}/translations/%{name}_es_ES.qm %{buildroot}%{_datadir}/qt4/translations/%{name}_es_ES.qm
ln -s %{_datadir}/%{name}/translations/%{name}_br_BR.qm %{buildroot}%{_datadir}/qt4/translations/%{name}_br_BR.qm
ln -s %{_datadir}/%{name}/%{name} %{buildroot}%{_bindir}/%{name}

# find /home -name "createmoviedb.sh" -exec rm {} \; 2>/dev/null
# find /home -name "addmovie.sh" -exec rm {} \; 2>/dev/null

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{origname}
GenericName=RPM Builder
GenericName[es]=Generador de RPMs
GenericName[de]=RPM Builder
Comment=A tool for developers who want to make there application available as RPM packages.
Comment[de]=Ein Werkzeug für Entwickler die Anwendung als RPM-Pakete erstellen wollen.
Comment[es]=Herramienta para desarrolladores que quieran tener sus aplicaciones disponibles como paquetes RPM.
Exec=%{_bindir}/%{name} 
Icon=%{_datadir}/%{name}/rpm.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Archiving-Compression;Archiving;Utility; 
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/%{name}/*
%{_datadir}/qt4/translations/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/doc/packages/%{name}/RPM-HOWTO/*

%changelog
* Thu Jan 12 2010 maik3531 <maik3531 at yahoo dot de> 0.5.4-1pclos2010
- 0.5.4

* Sat Dec 26 2009 maik3531 <maik3531 at yahoo dot de> 0.5.3-1pclos2010
- 0.5.3

* Sun Nov 15 2009 maik3531 <maik3531 at yahoo dot de> 0.2.6-1pclos2010
- 0.2.6
- easyrpm to easyrpmbuilder

* Wed Oct 28 2009 maik3531 <maik3531 at yahoo dot de> 0.1.3-1pclos2010
- Update Version, Add German translation
